gnutls_privkey_export_ecc_raw2(3)

NAME
gnutls_privkey_export_ecc_raw2 - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_export_ecc_raw2(gnutls_privkey_t key, gnutls_ecc_curve_t * curve, gnutls_datum_t * x, gnutls_datum_t * y, gnutls_datum_t * k, unsigned int flags);

ARGUMENTS

gnutls_privkey_t key
    Holds the public key

gnutls_ecc_curve_t * curve
    will hold the curve

gnutls_datum_t * x
    will hold the x-coordinate

gnutls_datum_t * y
    will hold the y-coordinate

gnutls_datum_t * k
    will hold the private key

unsigned int flags
    flags from gnutls_abstract_export_flags_t

DESCRIPTION
This function will export the ECC private key's parameters found in the given structure. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum. In EdDSA curves the y parameter will be NULL and the other parameters will be in the native format for the curve.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
3.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/